Bug 94034 - www/suphp doesn't work with Apache 2.2 (patch)
www/suphp doesn't work with Apache 2.2 (patch)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2006-03-02 20:30 UTC by craig
Modified: 2006-04-08 13:56 UTC (History)
0 users

See Also:

suphp.patch (3.00 KB, patch)
2006-03-02 20:30 UTC, craig
no flags Details | Diff
patch-src::apache2::mod_suphp.c (1.87 KB, text/x-csrc; charset=us-ascii)
2006-03-05 07:51 UTC, craig
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description craig 2006-03-02 20:30:05 UTC
	Attached patch enables suphp to compile against Apache 2.2.

	It also fixes the port not working when WRKDIRPREFIX is set.
Comment 1 Edwin Groothuis freebsd_committer 2006-03-02 20:32:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 freebsd 2006-03-03 04:01:34 UTC
On Thu, Mar 02, 2006 at 08:32:15PM +0000, Edwin Groothuis wrote:
> Maintainer of www/suphp,
> Please note that PR ports/94034 has just been submitted.
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/94034

I approve of this update.  Please commit it at your leisure.

| Jeremy Chadwick                                 jdc at parodius.com |
| Parodius Networking                        http://www.parodius.com/ |
| UNIX Systems Administrator                   Mountain View, CA, USA |
| Making life hard for others since 1977.                             |
Comment 3 craig 2006-03-05 07:51:53 UTC
It turns out there is another small issue with Apache 2.2 and suphp.  A
revised version of patch-src::apache2::mod_suphp.c is attached...

With both of these applied and php5-cgi installed I have squirrelmail
working under suphp again.
Comment 4 pav freebsd_committer 2006-04-08 13:56:25 UTC
State Changed
From-To: feedback->closed

Committed, thanks!